<?php

/**
 * Theme Demo Import.
 *
 * @package Meridia
 */
if ( !defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/*
* Demo Import
*/
function meridia_ocdi_import_files()
{
    return array(
        array(
        'import_file_name'           => 'Demo 1: Mary',
        'import_file_url'            => MERIDIA_THEME_URI . '/includes/demo-import/mary/demo-content.xml',
        'import_widget_file_url'     => MERIDIA_THEME_URI . '/includes/demo-import/mary/widgets.wie',
        'import_customizer_file_url' => MERIDIA_THEME_URI . '/includes/demo-import/mary/customizer.dat',
        'import_preview_image_url'   => MERIDIA_THEME_URI . '/includes/demo-import/mary/preview.jpg',
        'preview_url'                => 'https://meridia.deothemes.com/mary',
    ),
        array(
        'import_file_name'           => 'Demo 2: Claire',
        'import_file_url'            => MERIDIA_THEME_URI . '/includes/demo-import/claire/demo-content.xml',
        'import_widget_file_url'     => MERIDIA_THEME_URI . '/includes/demo-import/claire/widgets.wie',
        'import_customizer_file_url' => MERIDIA_THEME_URI . '/includes/demo-import/claire/customizer.dat',
        'import_preview_image_url'   => MERIDIA_THEME_URI . '/includes/demo-import/claire/preview.jpg',
        'preview_url'                => 'https://meridia.deothemes.com/claire',
    ),
        array(
        'import_file_name'           => 'Demo 3: Anne',
        'import_file_url'            => MERIDIA_THEME_URI . '/includes/demo-import/anne/demo-content.xml',
        'import_widget_file_url'     => MERIDIA_THEME_URI . '/includes/demo-import/anne/widgets.wie',
        'import_customizer_file_url' => MERIDIA_THEME_URI . '/includes/demo-import/anne/customizer.dat',
        'import_preview_image_url'   => MERIDIA_THEME_URI . '/includes/demo-import/anne/preview.jpg',
        'preview_url'                => 'https://meridia.deothemes.com/anne',
    ),
        array(
        'import_file_name'           => 'Demo 4: Katie',
        'import_file_url'            => MERIDIA_THEME_URI . '/includes/demo-import/katie/demo-content.xml',
        'import_widget_file_url'     => MERIDIA_THEME_URI . '/includes/demo-import/katie/widgets.wie',
        'import_customizer_file_url' => MERIDIA_THEME_URI . '/includes/demo-import/katie/customizer.dat',
        'import_preview_image_url'   => MERIDIA_THEME_URI . '/includes/demo-import/katie/preview.jpg',
        'preview_url'                => 'https://meridia.deothemes.com/katie',
    ),
        array(
        'import_file_name'           => 'Demo 5: Penny',
        'import_file_url'            => MERIDIA_THEME_URI . '/includes/demo-import/penny/demo-content.xml',
        'import_widget_file_url'     => MERIDIA_THEME_URI . '/includes/demo-import/penny/widgets.wie',
        'import_customizer_file_url' => MERIDIA_THEME_URI . '/includes/demo-import/penny/customizer.dat',
        'import_preview_image_url'   => MERIDIA_THEME_URI . '/includes/demo-import/penny/preview.jpg',
        'preview_url'                => 'https://meridia.deothemes.com/penny',
    )
    );
}

add_filter( 'pt-ocdi/import_files', 'meridia_ocdi_import_files' );
/*
* OCDI plugins
*/
function meridia_ocdi_register_plugins( $plugins )
{
    $plugins = [
        [
        'name'     => 'Kirki',
        'slug'     => 'kirki',
        'required' => true,
    ],
        [
        'name'     => 'Contact Form 7',
        'slug'     => 'contact-form-7',
        'required' => false,
    ],
        [
        'name'     => 'MailChimp for WordPress',
        'slug'     => 'mailchimp-for-wp',
        'required' => false,
    ],
        [
        'name'     => 'Smash Balloon Social Photo Feed',
        'slug'     => 'instagram-feed',
        'required' => false,
    ],
        [
        'name'     => 'Custom Twitter Feeds',
        'slug'     => 'custom-twitter-feeds',
        'required' => false,
    ],
        [
        'name'     => 'WP Recipe Maker',
        'slug'     => 'wp-recipe-maker',
        'required' => false,
    ]
    ];
    return $plugins;
}

add_filter( 'ocdi/register_plugins', 'meridia_ocdi_register_plugins' );
/**
* Rewrite permalinks.
*/
function meridia_rewrite_permalinks()
{
}

// add_action( 'pt-ocdi/before_content_import', 'meridia_rewrite_permalinks' );
/**
* Assign menus and front page after demo import
*/
function meridia_ocdi_after_import()
{
    global  $wp_rewrite ;
    // Assign menus to their locations.
    $primary_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations', array(
        'primary-menu' => $primary_menu->term_id,
    ) );
    // Delete WooCommerce duplicates
    $pages2 = array(
        'cart',
        'checkout',
        'my-account',
        'wishlist'
    );
    foreach ( $pages2 as $page2 ) {
        $page = get_page_by_path( $page2 . '-2' );
        if ( $page ) {
            wp_delete_post( $page->ID, true );
        }
    }
    $shop2 = get_page_by_path( 'shop-2' );
    
    if ( $shop2 ) {
        $shop1 = get_page_by_path( 'shop' );
        wp_delete_post( $shop1->ID, true );
        wp_update_post( [
            'post_name' => 'shop',
            'ID'        => $shop2->ID,
        ] );
    }
    
    // Assign WooCommerce pages
    $shop = get_page_by_path( 'shop' );
    $cart = get_page_by_path( 'cart' );
    $checkout = get_page_by_path( 'checkout' );
    $myaccount = get_page_by_path( 'my-account' );
    update_option( 'woocommerce_shop_page_id', $shop->ID );
    update_option( 'woocommerce_cart_page_id', $cart->ID );
    update_option( 'woocommerce_checkout_page_id', $checkout->ID );
    update_option( 'woocommerce_myaccount_page_id', $myaccount->ID );
    // Omit installing WooCommerce pages
    delete_option( '_wc_needs_pages' );
    delete_transient( '_wc_activation_redirect' );
    // Flush permalinks.
    flush_rewrite_rules();
}

add_action( 'pt-ocdi/after_import', 'meridia_ocdi_after_import' );